# Uses of Class
org.jboss.classfilewriter.code.StackEntry

Packages that use StackEntry
Package
Description
org.jboss.classfilewriter.code

## Uses of StackEntry in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return StackEntry
Modifier and Type
Method
Description
`StackEntry`
LocalVariableState.`get(int index)`
`static StackEntry`
StackEntry.`of(String descriptor, ConstPool pool)`
`StackEntry`
StackState.`top()`
`StackEntry`
StackState.`top_1()`
`StackEntry`
StackState.`top_2()`
`StackEntry`
StackState.`top_3()`
Methods in org.jboss.classfilewriter.code that return types with arguments of type StackEntry
Modifier and Type
Method
Description
`List<StackEntry>`
LocalVariableState.`getContents()`
`List<StackEntry>`
StackState.`getContents()`
Methods in org.jboss.classfilewriter.code with parameters of type StackEntry
Modifier and Type
Method
Description
`LocalVariableState`
LocalVariableState.`constructorCall(StackEntry entry)`
`StackState`
StackState.`constructorCall(int initializedValueStackPosition, StackEntry entry)`
`StackFrame`
StackFrame.`mergeLocals(int pos, StackEntry frame)`
`StackFrame`
StackFrame.`mergeStack(int pos, StackEntry frame)`
`StackFrame`
StackFrame.`push(StackEntry entry)`
push an operand of the given type onto the stack.
`StackState`
StackState.`push(StackEntry entry)`
push a type on to the top of the stack
`LocalVariableState`
LocalVariableState.`store(int index, StackEntry entry)`
`LocalVariableState`
LocalVariableState.`storeWide(int index, StackEntry entry)`
`LocalVariableState`
LocalVariableState.`updateMerged(int pos, StackEntry frame)`
`StackState`
StackState.`updateMerged(int pos, StackEntry frame)`